Robot Simulator of the Robotics Group for Self-Organization of Control: LpzHelpHandler Class Reference

# LpzHelpHandler Class Reference

Event handler for adding on screen help to Viewers. More...

`#include <lpzhelphandler.h>`

List of all members.

## Public Member Functions
| LpzHelpHandler (osg::ApplicationUsage *au=0)
void | setApplicationUsage (osg::ApplicationUsage *au)
osg::ApplicationUsage * | getApplicationUsage ()
const osg::ApplicationUsage * | getApplicationUsage () const
void | setKeyEventTogglesOnScreenHelp (int key)
int | getKeyEventTogglesOnScreenHelp () const
void | reset ()
osg::Camera * | getCamera ()
const osg::Camera * | getCamera () const
bool | handle (const osgGA::GUIEventAdapter &ea, osgGA::GUIActionAdapter &aa)
virtual void | getUsage (osg::ApplicationUsage &usage) const
| Get the keyboard and mouse usage of this manipulator.
## Protected Member Functions
void | setUpHUDCamera (osgViewer::ViewerBase *viewer)
void | setUpScene (osgViewer::ViewerBase *viewer)
## Protected Attributes
osg::ref_ptr < osg::ApplicationUsage > | _applicationUsage
int | _keyEventTogglesOnScreenHelp
bool | _helpEnabled
bool | _initialized
osg::ref_ptr< osg::Camera > | _camera
osg::ref_ptr< osg::Switch > | _switch

## Detailed Description

Event handler for adding on screen help to Viewers.

## Constructor & Destructor Documentation

LpzHelpHandler | ( | osg::ApplicationUsage * | au = `0` | ) |

## Member Function Documentation

const osg::ApplicationUsage* getApplicationUsage | ( |  | ) | const`[inline]`

osg::ApplicationUsage* getApplicationUsage | ( |  | ) | `[inline]`

const osg::Camera* getCamera | ( |  | ) | const`[inline]`

osg::Camera* getCamera | ( |  | ) | `[inline]`

int getKeyEventTogglesOnScreenHelp | ( |  | ) | const`[inline]`

void getUsage | ( | osg::ApplicationUsage & | usage | ) | const`[virtual]`

Get the keyboard and mouse usage of this manipulator.

bool handle | ( | const osgGA::GUIEventAdapter & | ea,
|  | osgGA::GUIActionAdapter & | aa |
| ) |  |  |

void reset | ( |  | ) |

void setApplicationUsage | ( | osg::ApplicationUsage * | au | ) | `[inline]`

void setKeyEventTogglesOnScreenHelp | ( | int | key | ) | `[inline]`

void setUpHUDCamera | ( | osgViewer::ViewerBase * | viewer | ) | `[protected]`

void setUpScene | ( | osgViewer::ViewerBase * | viewer | ) | `[protected]`

## Member Data Documentation

osg::ref_ptr<osg::ApplicationUsage> _applicationUsage`[protected]`

osg::ref_ptr<osg::Camera> _camera`[protected]`

bool _helpEnabled`[protected]`

bool _initialized`[protected]`

int _keyEventTogglesOnScreenHelp`[protected]`

osg::ref_ptr<osg::Switch> _switch`[protected]`

The documentation for this class was generated from the following files:

- lpzhelphandler.h
- lpzhelphandler.cpp